summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Walton <noloader@gmail.com>2018-04-01 02:37:32 -0400
committerGitHub <noreply@github.com>2018-04-01 02:37:32 -0400
commitd94ef9c70c3c68db4ffdd6a142c12f8cf9ffc13b (patch)
treec565d3bfa8cc2f269c8f2eaa70e336192e19e2df
parent2e8ccc77773fa52c421c0322d1bafa2dd47653fe (diff)
downloadcryptopp-git-d94ef9c70c3c68db4ffdd6a142c12f8cf9ffc13b.tar.gz
Re-enable OS X and iOS on Travis (GH #570, PR #627)
-rw-r--r--.travis.yml36
-rwxr-xr-xTestScripts/cryptest-android.sh3
-rwxr-xr-xTestScripts/cryptest-ios.sh27
3 files changed, 36 insertions, 30 deletions
diff --git a/.travis.yml b/.travis.yml
index 52c587ea..16046605 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -47,9 +47,6 @@ matrix:
- os: osx
compiler: clang
env: BUILD_MODE="ubsan"
- # Travis infrastructure problems, Issue 570
- # Re-enable when OS X and iOS improves
- - os: osx
include:
- os: linux
@@ -84,21 +81,22 @@ matrix:
env:
- BUILD_MODE=android
- PLATFORM=x86_64
-
- # Travis infrastructure problems, Issue 570
- # Re-enable when OS X and iOS improves
- #- os: osx
- # env:
- # - BUILD_MODE=ios
- # - PLATFORM=iPhoneOS
- #- os: osx
- # env:
- # - BUILD_MODE=ios
- # - PLATFORM=WatchOS
- #- os: osx
- # env:
- # - BUILD_MODE=ios
- # - PLATFORM=AppleTVOS
+ - os: osx
+ env:
+ - BUILD_MODE=ios
+ - PLATFORM=iPhoneOS
+ - os: osx
+ env:
+ - BUILD_MODE=ios
+ - PLATFORM=WatchOS
+ - os: osx
+ env:
+ - BUILD_MODE=ios
+ - PLATFORM=AppleTVOS
+ - os: osx
+ env:
+ - BUILD_MODE=ios
+ - PLATFORM=iPhoneSimulator
before_install:
- |
@@ -130,7 +128,7 @@ branches:
- master
addons:
- sonarcloud: true
+ sonarcloud: false
coverity_scan:
project:
diff --git a/TestScripts/cryptest-android.sh b/TestScripts/cryptest-android.sh
index 2deb66c3..2490c766 100755
--- a/TestScripts/cryptest-android.sh
+++ b/TestScripts/cryptest-android.sh
@@ -40,7 +40,7 @@ do
. ./setenv-android.sh "$platform" "$runtime" > /dev/null 2>&1
make -f GNUmakefile-cross static dynamic cryptest.exe
if [ "$?" -eq "0" ]; then
- echo "$platform:$runtime ==> SUCCESSFUL" >> /tmp/build.log
+ echo "$platform:$runtime ==> SUCCESS" >> /tmp/build.log
else
echo "$platform:$runtime ==> FAILURE" >> /tmp/build.log
touch /tmp/build.failed
@@ -56,6 +56,7 @@ do
done
cat /tmp/build.log
+
# let the script fail if any of the builds failed
if [ -f /tmp/build.failed ]; then
exit 1
diff --git a/TestScripts/cryptest-ios.sh b/TestScripts/cryptest-ios.sh
index 8fdf4725..c0770a3d 100755
--- a/TestScripts/cryptest-ios.sh
+++ b/TestScripts/cryptest-ios.sh
@@ -20,26 +20,33 @@ for platform in ${PLATFORMS[@]}
do
make -f GNUmakefile-cross distclean > /dev/null 2>&1
- MESSAGE="Testing for Xcode support of $platform"
- LEN=${#MESSAGE}
- HEADER=$(seq -f "*" -s '' $LEN)
-
echo
- echo "$HEADER"
- echo "$MESSAGE"
+ echo "====================================================="
+ echo "Testing for iOS support of $platform"
# Test if we can set the environment for the platform
- ./setenv-ios.sh "$platform" > /dev/null 2>&1
+ ./setenv-ios.sh "$platform" "$runtime"
if [ "$?" -eq "0" ]; then
echo
- echo "Building for $platform..."
+ echo "Building for $platform using $runtime..."
echo
- . ./setenv-ios.sh "$platform"
- make -f GNUmakefile-cross static dynamic cryptest.exe
+ # run in subshell to not keep any env vars
+ (
+ . ./setenv-ios.sh "$platform" > /dev/null 2>&1
+ make -f GNUmakefile-cross static dynamic cryptest.exe
+ if [ "$?" -eq "0" ]; then
+ echo "$platform ==> SUCCESS" >> /tmp/build.log
+ else
+ echo "$platform ==> FAILURE" >> /tmp/build.log
+ touch /tmp/build.failed
+ fi
+ )
else
echo
echo "$platform not supported by Xcode"
+ echo "$platform ==> FAILURE" >> /tmp/build.log
+ touch /tmp/build.failed
fi
done